For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get domain list

Retrieve all domains associated with your account. Use this endpoint to view user's domain portfolio.

Get domain list

get

Retrieve all domains associated with your account.

Use this endpoint to view user's domain portfolio.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
idintegerOptional

Domain ID

Example: 13632
domainstring · nullableOptional

Domain name, null when not claimed free domain

Example: mydomain.tld
typestring · enumOptionalExample: domainPossible values:
statusstring · enumOptionalExample: activePossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
expires_atstring · date-time · nullableOptionalExample: 2025-03-27T11:54:22Z
get/api/domains/v1/portfolio
GET /api/domains/v1/portfolio HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 13632,
    "domain": "mydomain.tld",
    "type": "domain",
    "status": "active",
    "created_at": "2025-02-27T11:54:22Z",
    "expires_at": "2025-03-27T11:54:22Z"
  }
]

Last updated

Was this helpful?